Bug 31058 - Include UMCConnection from app center + school exam module code into univention-lib
Include UMCConnection from app center + school exam module code into univenti...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: univention-lib
UCS 3.0
Other Linux
: P5 enhancement (vote)
: UCS 3.2
Assigned To: Dirk Wiesenthal
Florian Best
: interim-1
Depends on:
Blocks: 31059 31908
  Show dependency treegraph
 
Reported: 2013-04-15 15:57 CEST by Alexander Kläser
Modified: 2013-11-19 06:44 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Cleanup
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2013-04-15 15:57:36 CEST
Currently, the class UMCConnection exists in the app center module as well as in the UCS@school exam module. Both versions should be refactored and included into univention-lib.
Comment 1 Dirk Wiesenthal univentionstaff 2013-07-12 16:06:26 CEST
Added in
  univention-lib 3.0.5-2.143.201307121601

Changelog updated

Tried to make future transition for UCS@school as smooth as possible
Comment 2 Florian Best univentionstaff 2013-07-25 12:30:07 CEST
(In reply to Dirk Wiesenthal from comment #1)
> Added in
>   univention-lib 3.0.5-2.143.201307121601
> 
> Changelog updated
OK

> Tried to make future transition for UCS@school as smooth as possible
Yes

REOPEN:
The new classmethod get_machine_connection uses the fixed classname instead of the cls parameter.
Also a little enhancement would be to allow umcp/get/ucr commands by addding a command parameter in request().
Comment 3 Dirk Wiesenthal univentionstaff 2013-07-25 13:12:20 CEST
(In reply to Florian Best from comment #2)
> REOPEN:
> The new classmethod get_machine_connection uses the fixed classname instead
> of the cls parameter.
> Also a little enhancement would be to allow umcp/get/ucr commands by addding
> a command parameter in request().

All of this was not necessary in the two places were a UMCConnection was declared (App Center and UCS@school exam) and thus would be unused at the moment. But as this is a library function you are correct, this should be fixed now.

And it is:
  univention-lib 3.0.7-1.145.201307251306
Comment 4 Florian Best univentionstaff 2013-07-25 13:51:21 CEST
(In reply to Dirk Wiesenthal from comment #3)
> (In reply to Florian Best from comment #2)
> > REOPEN:
> > The new classmethod get_machine_connection uses the fixed classname instead
> > of the cls parameter.
> > Also a little enhancement would be to allow umcp/get/ucr commands by addding
> > a command parameter in request().
> 
> All of this was not necessary in the two places were a UMCConnection was
> declared (App Center and UCS@school exam) and thus would be unused at the
> moment. But as this is a library function you are correct, this should be
> fixed now.
> 
> And it is:
>   univention-lib 3.0.7-1.145.201307251306
very good!
Comment 5 Stefan Gohmann univentionstaff 2013-11-19 06:44:02 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".